v1.0.0
OpenAPI 3.1.0

List subscription channels

US region

Client Libraries

List subscription channels

Returns a list of subscription channels available in your workspace. Channels represent the delivery methods that people can subscribe to or unsubscribe from—email, SMS, push, etc. If you haven't set up channel options in your subscription center, this endpoint returns an empty array.

Responses
  • application/json
  • 429

    Your request is over the 10-per-second limit.

Request Example for get/v1/subscription_channels
curl https://api.customer.io/v1/subscription_channels \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "channels": [
    {
      "id": 1,
      "type": "email",
      "name": "Email",
      "description": "Email messages",
      "subscribed_by_default": true
    }
  ]
}